Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Interface BackwardRuleInfGraphI

All Superinterfaces:
  Graph, GraphAdd, InfGraph, SilentAddI

All Known Implementing Classes:
  FBRuleInfGraph, LPBackwardRuleInfGraph, RDFSRuleInfGraph

    public interface BackwardRuleInfGraphI

extends SilentAddI, InfGraph

This interface collects together those operations that the backchaining engine needs to invoke in the parent InfGraph. This allows different inf graphs to exploit the same core backchaining engine.

Version:
  $Revision: 1.13 $ on $Date: 2008/01/02 12:07:47 $
Author:
  Dave Reynolds

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Method Summary
`ExtendedIterator` | `findDataMatches(TriplePattern pattern)` Match a pattern just against the stored data (raw data, schema, axioms) but no backchaining derivation.
`Node` | `getTemp(Node instance, Node prop, Node pclass)` Retrieve or create a bNode representing an inferred property value.
`int` | `getVersion()` Return a version stamp for this graph which can be used to fast-fail concurrent modification exceptions.
`void` | `logDerivation(Triple t, java.lang.Object derivation)` Log a dervivation record against the given triple.
`boolean` | `processBuiltin(ClauseEntry clause, Rule rule, BindingEnvironment env)` Process a call to a builtin predicate

Methods inherited from interface com.hp.hpl.jena.reasoner.rulesys.SilentAddI
`silentAdd`

Methods inherited from interface com.hp.hpl.jena.reasoner.InfGraph
`find, getDeductionsGraph, getDerivation, getGlobalProperty, getRawGraph, getReasoner, prepare, rebind, rebind, reset, setDerivationLogging, testGlobalProperty, validate`

Methods inherited from interface com.hp.hpl.jena.graph.Graph
`close, contains, contains, delete, dependsOn, find, find, getBulkUpdateHandler, getCapabilities, getEventManager, getPrefixMapping, getReifier, getStatisticsHandler, getTransactionHandler, isClosed, isEmpty, isIsomorphicWith, queryHandler, size`

Methods inherited from interface com.hp.hpl.jena.graph.GraphAdd
`add`

Method Detail

### processBuiltin

    boolean processBuiltin(ClauseEntry clause,
                           Rule rule,
                           BindingEnvironment env)

  Process a call to a builtin predicate

  Parameters:
    `clause` - the term representing the call
    `env` - the BindingEnvironment for this call
    `rule` - the rule which is invoking this call
  Returns:
    true if the predicate succeeds

### findDataMatches

    ExtendedIterator findDataMatches(TriplePattern pattern)

  Match a pattern just against the stored data (raw data, schema, axioms) but no backchaining derivation.

### logDerivation

    void logDerivation(Triple t,
                       java.lang.Object derivation)

  Log a dervivation record against the given triple.

### getTemp

    Node getTemp(Node instance,
                 Node prop,
                 Node pclass)

  Retrieve or create a bNode representing an inferred property value.

  Parameters:
    `instance` - the base instance node to which the property applies
    `prop` - the property node whose value is being inferred
    `pclass` - the (optional, can be null) class for the inferred value.
  Returns:
    the bNode representing the property value

### getVersion

    int getVersion()

  Return a version stamp for this graph which can be used to fast-fail concurrent modification exceptions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP